%define oname lumina

Name:           lumina-desktop
Version:        1.2.0
Release:        %mkrel 1
Summary:        Lumina Desktop
Group:          Graphical destkop/Lumina
License:        GPLv2 and LGPLv2+
Url:            https://github.com/pcbsd/lumina
Source0:        lumina-%version.tar.xz
Source1:	fluxbox-init-rc
Source2:	desktop-background.jpg
Source3:	luminaDesktop.conf
Source4:	lumina-settings.desktop
Patch0:		01-lumina-poweroff-reboot-mixer.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
#---------------------------------------------
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5webkit-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}qtxmlpatterns5-devel
BuildRequires: %{_lib}x11-devel 
BuildRequires: %{_lib}xcb-util-devel 
BuildRequires: %{_lib}xcb-util-image-devel
BuildRequires: %{_lib}xcb-util-wm-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xdamage-devel 
BuildRequires: %{_lib}xfixes-devel 
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxcb-devel 
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel
#-----------------------------------
Requires: fluxbox
Requires: xterm
Requires: oxygen-icon-theme
Requires: xscreensaver
Requires: xlockmore
Requires: xbacklight
Requires: pavucontrol
Requires: usermode-consoleonly
Requires: compton

%description
lumina-desktop is a lightweight, BSD licensed desktop environment.

%prep
%setup -qn lumina-%version
%apply_patches

%build
#make it compile
perl -pi -e "s|Q_DECL_OVERRIDE||" lumina-desktop/LXcbEventFilter.cpp
perl -pi -e "s|Q_DECL_OVERRIDE||" lumina-desktop/LXcbEventFilter.h

%{_libdir}/qt5/bin/qmake CONFIG+=configure PREFIX="/usr" LIBPREFIX="/usr/lib" 

%make

%install
rm -rf %buildroot
make INSTALL_ROOT=%{buildroot} install

#drop uneeded development files
rm -rf %buildroot/%{_includedir}


#dont know why libdir macro is not being used in the qmake config
#mv %buildroot/usr/lib %buildroot/usr/lib64

#drop uneeded
rm -rf %buildroot/%{_libdir}/libLuminaUtils.so

#we dont use this
rm -rf %buildroot/%{_datadir}/xsessions

# session file
%__install -d %buildroot%_sysconfdir/X11/wmsession.d
%__cat > %buildroot%_sysconfdir/X11/wmsession.d/69lumina << EOF
NAME=Lumina
ICON=lumina.png
EXEC=%_bindir/start-lumina-desktop
DESC=%summary
SCRIPT:
exec %_bindir/start-lumina-desktop
EOF

#Our default settings
rm -f %buildroot/usr/etc/luminaDesktop.conf.dist
install -m 0644 %SOURCE3 %buildroot%{_sysconfdir}/luminaDesktop.conf.dist

#install -m 0644 %SOURCE1 %buildroot/%{_datadir}/lumina-desktop/fluxbox-init-rc
#install -m 0644 %SOURCE2 %buildroot/%{_datadir}/lumina-desktop/desktop-background.jpg
#install -m 0644 %SOURCE3 %buildroot/%{_datadir}/lumina-desktop/luminaDesktop.conf
install -m 0644 %SOURCE4 %buildroot/%{_datadir}/applications/lumina-settings.desktop

# Fix paths in desktop files
find %{buildroot}/ -name *.desktop -exec sed -i "s:/usr/local/:/usr/:g" {} \;

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/lumina-fm.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-FileTools" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/lumina-search.desktop
  
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/lumina-screenshot.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/lumina-settings.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/lumina-textedit.desktop


%post
%make_session
/sbin/ldconfig

%postun
%make_session
/sbin/ldconfig

%clean
rm -rf %buildroot

%files
%{_bindir}/*
%{_sysconfdir}/X11/wmsession.d/69lumina
%{_sysconfdir}/luminaDesktop.conf.dist
%{_datadir}/lumina-desktop
%{_datadir}/applications
%{_datadir}/pixmaps
%{_datadir}/wallpapers


%changelog
* Fri Apr 07 2017 adrianomorselli <adrianomorselli> 1.2.0-1uplos2017
- update
